// Populate the sidebar
//
// This is a script, and not included directly in the page, to control the total size of the book.
// The TOC contains an entry for each page, so if each page includes a copy of the TOC,
// the total size of the page becomes O(n**2).
class MDBookSidebarScrollbox extends HTMLElement {
    constructor() {
        super();
    }
    connectedCallback() {
        this.innerHTML = '<ol class="chapter"><li class="chapter-item expanded "><a href="index.html"><strong aria-hidden="true">1.</strong> WezTerm</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="features.html"><strong aria-hidden="true">1.1.</strong> Features</a></li><li class="chapter-item "><a href="scrollback.html"><strong aria-hidden="true">1.2.</strong> Scrollback</a></li><li class="chapter-item "><a href="quickselect.html"><strong aria-hidden="true">1.3.</strong> Quick Select Mode</a></li><li class="chapter-item "><a href="copymode.html"><strong aria-hidden="true">1.4.</strong> Copy Mode</a></li><li class="chapter-item "><a href="hyperlinks.html"><strong aria-hidden="true">1.5.</strong> Hyperlinks</a></li><li class="chapter-item "><a href="shell-integration.html"><strong aria-hidden="true">1.6.</strong> Shell Integration</a></li><li class="chapter-item "><a href="imgcat.html"><strong aria-hidden="true">1.7.</strong> iTerm Image Protocol</a></li><li class="chapter-item "><a href="ssh.html"><strong aria-hidden="true">1.8.</strong> SSH</a></li><li class="chapter-item "><a href="serial.html"><strong aria-hidden="true">1.9.</strong> Serial Ports &amp; Arduino</a></li><li class="chapter-item "><a href="multiplexing.html"><strong aria-hidden="true">1.10.</strong> Multiplexing</a></li></ol></li><li class="chapter-item expanded "><a href="config/files.html"><strong aria-hidden="true">2.</strong> Configuration</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/appearance.html"><strong aria-hidden="true">2.1.</strong> Colors &amp; Appearance</a></li><li class="chapter-item "><a href="config/launch.html"><strong aria-hidden="true">2.2.</strong> Launching Programs</a></li><li class="chapter-item "><a href="config/fonts.html"><strong aria-hidden="true">2.3.</strong> Fonts</a></li><li class="chapter-item "><a href="config/font-shaping.html"><strong aria-hidden="true">2.4.</strong> Font Shaping</a></li><li class="chapter-item "><a href="config/keyboard-concepts.html"><strong aria-hidden="true">2.5.</strong> Keyboard Concepts</a></li><li class="chapter-item "><a href="config/keys.html"><strong aria-hidden="true">2.6.</strong> Key Binding</a></li><li class="chapter-item "><a href="config/key-tables.html"><strong aria-hidden="true">2.7.</strong> Key Tables</a></li><li class="chapter-item "><a href="config/default-keys.html"><strong aria-hidden="true">2.8.</strong> Default Key Assignments</a></li><li class="chapter-item "><a href="config/key-encoding.html"><strong aria-hidden="true">2.9.</strong> Keyboard Encoding</a></li><li class="chapter-item "><a href="config/mouse.html"><strong aria-hidden="true">2.10.</strong> Mouse Binding</a></li><li class="chapter-item "><a href="config/plugins.html"><strong aria-hidden="true">2.11.</strong> Plugins</a></li><li class="chapter-item "><a href="colorschemes/index.html"><strong aria-hidden="true">2.12.</strong> Color Schemes</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="colorschemes/3/index.html"><strong aria-hidden="true">2.12.1.</strong> 3</a></li><li class="chapter-item "><a href="colorschemes/a/index.html"><strong aria-hidden="true">2.12.2.</strong> a</a></li><li class="chapter-item "><a href="colorschemes/b/index.html"><strong aria-hidden="true">2.12.3.</strong> b</a></li><li class="chapter-item "><a href="colorschemes/c/index.html"><strong aria-hidden="true">2.12.4.</strong> c</a></li><li class="chapter-item "><a href="colorschemes/d/index.html"><strong aria-hidden="true">2.12.5.</strong> d</a></li><li class="chapter-item "><a href="colorschemes/e/index.html"><strong aria-hidden="true">2.12.6.</strong> e</a></li><li class="chapter-item "><a href="colorschemes/f/index.html"><strong aria-hidden="true">2.12.7.</strong> f</a></li><li class="chapter-item "><a href="colorschemes/g/index.html"><strong aria-hidden="true">2.12.8.</strong> g</a></li><li class="chapter-item "><a href="colorschemes/h/index.html"><strong aria-hidden="true">2.12.9.</strong> h</a></li><li class="chapter-item "><a href="colorschemes/i/index.html"><strong aria-hidden="true">2.12.10.</strong> i</a></li><li class="chapter-item "><a href="colorschemes/j/index.html"><strong aria-hidden="true">2.12.11.</strong> j</a></li><li class="chapter-item "><a href="colorschemes/k/index.html"><strong aria-hidden="true">2.12.12.</strong> k</a></li><li class="chapter-item "><a href="colorschemes/l/index.html"><strong aria-hidden="true">2.12.13.</strong> l</a></li><li class="chapter-item "><a href="colorschemes/m/index.html"><strong aria-hidden="true">2.12.14.</strong> m</a></li><li class="chapter-item "><a href="colorschemes/n/index.html"><strong aria-hidden="true">2.12.15.</strong> n</a></li><li class="chapter-item "><a href="colorschemes/o/index.html"><strong aria-hidden="true">2.12.16.</strong> o</a></li><li class="chapter-item "><a href="colorschemes/p/index.html"><strong aria-hidden="true">2.12.17.</strong> p</a></li><li class="chapter-item "><a href="colorschemes/q/index.html"><strong aria-hidden="true">2.12.18.</strong> q</a></li><li class="chapter-item "><a href="colorschemes/r/index.html"><strong aria-hidden="true">2.12.19.</strong> r</a></li><li class="chapter-item "><a href="colorschemes/s/index.html"><strong aria-hidden="true">2.12.20.</strong> s</a></li><li class="chapter-item "><a href="colorschemes/t/index.html"><strong aria-hidden="true">2.12.21.</strong> t</a></li><li class="chapter-item "><a href="colorschemes/u/index.html"><strong aria-hidden="true">2.12.22.</strong> u</a></li><li class="chapter-item "><a href="colorschemes/v/index.html"><strong aria-hidden="true">2.12.23.</strong> v</a></li><li class="chapter-item "><a href="colorschemes/w/index.html"><strong aria-hidden="true">2.12.24.</strong> w</a></li><li class="chapter-item "><a href="colorschemes/x/index.html"><strong aria-hidden="true">2.12.25.</strong> x</a></li><li class="chapter-item "><a href="colorschemes/y/index.html"><strong aria-hidden="true">2.12.26.</strong> y</a></li><li class="chapter-item "><a href="colorschemes/z/index.html"><strong aria-hidden="true">2.12.27.</strong> z</a></li></ol></li><li class="chapter-item "><a href="recipes/index.html"><strong aria-hidden="true">2.13.</strong> Recipes</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="recipes/passing-data.html"><strong aria-hidden="true">2.13.1.</strong> Passing Data from a pane to Lua</a></li><li class="chapter-item "><a href="recipes/workspaces.html"><strong aria-hidden="true">2.13.2.</strong> Workspaces / Sessions</a></li></ol></li></ol></li><li class="chapter-item expanded "><a href="config/lua/general.html"><strong aria-hidden="true">3.</strong> Full Config &amp; Lua Reference</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/config/index.html"><strong aria-hidden="true">3.1.</strong> Config Options</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/config/adjust_window_size_when_changing_font_size.html"><strong aria-hidden="true">3.1.1.</strong> adjust_window_size_when_changing_font_size</a></li><li class="chapter-item "><a href="config/lua/config/allow_square_glyphs_to_overflow_width.html"><strong aria-hidden="true">3.1.2.</strong> allow_square_glyphs_to_overflow_width</a></li><li class="chapter-item "><a href="config/lua/config/allow_win32_input_mode.html"><strong aria-hidden="true">3.1.3.</strong> allow_win32_input_mode</a></li><li class="chapter-item "><a href="config/lua/config/alternate_buffer_wheel_scroll_speed.html"><strong aria-hidden="true">3.1.4.</strong> alternate_buffer_wheel_scroll_speed</a></li><li class="chapter-item "><a href="config/lua/config/animation_fps.html"><strong aria-hidden="true">3.1.5.</strong> animation_fps</a></li><li class="chapter-item "><a href="config/lua/config/anti_alias_custom_block_glyphs.html"><strong aria-hidden="true">3.1.6.</strong> anti_alias_custom_block_glyphs</a></li><li class="chapter-item "><a href="config/lua/config/audible_bell.html"><strong aria-hidden="true">3.1.7.</strong> audible_bell</a></li><li class="chapter-item "><a href="config/lua/config/automatically_reload_config.html"><strong aria-hidden="true">3.1.8.</strong> automatically_reload_config</a></li><li class="chapter-item "><a href="config/lua/config/background.html"><strong aria-hidden="true">3.1.9.</strong> background</a></li><li class="chapter-item "><a href="config/lua/config/bold_brightens_ansi_colors.html"><strong aria-hidden="true">3.1.10.</strong> bold_brightens_ansi_colors</a></li><li class="chapter-item "><a href="config/lua/config/bypass_mouse_reporting_modifiers.html"><strong aria-hidden="true">3.1.11.</strong> bypass_mouse_reporting_modifiers</a></li><li class="chapter-item "><a href="config/lua/config/canonicalize_pasted_newlines.html"><strong aria-hidden="true">3.1.12.</strong> canonicalize_pasted_newlines</a></li><li class="chapter-item "><a href="config/lua/config/cell_width.html"><strong aria-hidden="true">3.1.13.</strong> cell_width</a></li><li class="chapter-item "><a href="config/lua/config/char_select_bg_color.html"><strong aria-hidden="true">3.1.14.</strong> char_select_bg_color</a></li><li class="chapter-item "><a href="config/lua/config/char_select_fg_color.html"><strong aria-hidden="true">3.1.15.</strong> char_select_fg_color</a></li><li class="chapter-item "><a href="config/lua/config/char_select_font_size.html"><strong aria-hidden="true">3.1.16.</strong> char_select_font_size</a></li><li class="chapter-item "><a href="config/lua/config/check_for_updates.html"><strong aria-hidden="true">3.1.17.</strong> check_for_updates</a></li><li class="chapter-item "><a href="config/lua/config/clean_exit_codes.html"><strong aria-hidden="true">3.1.18.</strong> clean_exit_codes</a></li><li class="chapter-item "><a href="config/lua/config/color_schemes.html"><strong aria-hidden="true">3.1.19.</strong> color_schemes</a></li><li class="chapter-item "><a href="config/lua/config/colors.html"><strong aria-hidden="true">3.1.20.</strong> colors</a></li><li class="chapter-item "><a href="config/lua/config/command_palette_bg_color.html"><strong aria-hidden="true">3.1.21.</strong> command_palette_bg_color</a></li><li class="chapter-item "><a href="config/lua/config/command_palette_fg_color.html"><strong aria-hidden="true">3.1.22.</strong> command_palette_fg_color</a></li><li class="chapter-item "><a href="config/lua/config/command_palette_font_size.html"><strong aria-hidden="true">3.1.23.</strong> command_palette_font_size</a></li><li class="chapter-item "><a href="config/lua/config/command_palette_rows.html"><strong aria-hidden="true">3.1.24.</strong> command_palette_rows</a></li><li class="chapter-item "><a href="config/lua/config/cursor_blink_ease_in.html"><strong aria-hidden="true">3.1.25.</strong> cursor_blink_ease_in</a></li><li class="chapter-item "><a href="config/lua/config/cursor_blink_ease_out.html"><strong aria-hidden="true">3.1.26.</strong> cursor_blink_ease_out</a></li><li class="chapter-item "><a href="config/lua/config/cursor_blink_rate.html"><strong aria-hidden="true">3.1.27.</strong> cursor_blink_rate</a></li><li class="chapter-item "><a href="config/lua/config/cursor_thickness.html"><strong aria-hidden="true">3.1.28.</strong> cursor_thickness</a></li><li class="chapter-item "><a href="config/lua/config/custom_block_glyphs.html"><strong aria-hidden="true">3.1.29.</strong> custom_block_glyphs</a></li><li class="chapter-item "><a href="config/lua/config/daemon_options.html"><strong aria-hidden="true">3.1.30.</strong> daemon_options</a></li><li class="chapter-item "><a href="config/lua/config/debug_key_events.html"><strong aria-hidden="true">3.1.31.</strong> debug_key_events</a></li><li class="chapter-item "><a href="config/lua/config/default_cursor_style.html"><strong aria-hidden="true">3.1.32.</strong> default_cursor_style</a></li><li class="chapter-item "><a href="config/lua/config/default_cwd.html"><strong aria-hidden="true">3.1.33.</strong> default_cwd</a></li><li class="chapter-item "><a href="config/lua/config/default_domain.html"><strong aria-hidden="true">3.1.34.</strong> default_domain</a></li><li class="chapter-item "><a href="config/lua/config/default_gui_startup_args.html"><strong aria-hidden="true">3.1.35.</strong> default_gui_startup_args</a></li><li class="chapter-item "><a href="config/lua/config/default_mux_server_domain.html"><strong aria-hidden="true">3.1.36.</strong> default_mux_server_domain</a></li><li class="chapter-item "><a href="config/lua/config/default_prog.html"><strong aria-hidden="true">3.1.37.</strong> default_prog</a></li><li class="chapter-item "><a href="config/lua/config/default_ssh_auth_sock.html"><strong aria-hidden="true">3.1.38.</strong> default_ssh_auth_sock</a></li><li class="chapter-item "><a href="config/lua/config/default_workspace.html"><strong aria-hidden="true">3.1.39.</strong> default_workspace</a></li><li class="chapter-item "><a href="config/lua/config/detect_password_input.html"><strong aria-hidden="true">3.1.40.</strong> detect_password_input</a></li><li class="chapter-item "><a href="config/lua/config/disable_default_mouse_bindings.html"><strong aria-hidden="true">3.1.41.</strong> disable_default_mouse_bindings</a></li><li class="chapter-item "><a href="config/lua/config/disable_default_quick_select_patterns.html"><strong aria-hidden="true">3.1.42.</strong> disable_default_quick_select_patterns</a></li><li class="chapter-item "><a href="config/lua/config/display_pixel_geometry.html"><strong aria-hidden="true">3.1.43.</strong> display_pixel_geometry</a></li><li class="chapter-item "><a href="config/lua/config/dpi.html"><strong aria-hidden="true">3.1.44.</strong> dpi</a></li><li class="chapter-item "><a href="config/lua/config/enable_csi_u_key_encoding.html"><strong aria-hidden="true">3.1.45.</strong> enable_csi_u_key_encoding</a></li><li class="chapter-item "><a href="config/lua/config/enable_kitty_keyboard.html"><strong aria-hidden="true">3.1.46.</strong> enable_kitty_keyboard</a></li><li class="chapter-item "><a href="config/lua/config/enable_scroll_bar.html"><strong aria-hidden="true">3.1.47.</strong> enable_scroll_bar</a></li><li class="chapter-item "><a href="config/lua/config/enable_tab_bar.html"><strong aria-hidden="true">3.1.48.</strong> enable_tab_bar</a></li><li class="chapter-item "><a href="config/lua/config/enable_wayland.html"><strong aria-hidden="true">3.1.49.</strong> enable_wayland</a></li><li class="chapter-item "><a href="config/lua/config/exit_behavior.html"><strong aria-hidden="true">3.1.50.</strong> exit_behavior</a></li><li class="chapter-item "><a href="config/lua/config/exit_behavior_messaging.html"><strong aria-hidden="true">3.1.51.</strong> exit_behavior_messaging</a></li><li class="chapter-item "><a href="config/lua/config/font.html"><strong aria-hidden="true">3.1.52.</strong> font</a></li><li class="chapter-item "><a href="config/lua/config/font_antialias.html"><strong aria-hidden="true">3.1.53.</strong> font_antialias</a></li><li class="chapter-item "><a href="config/lua/config/font_dirs.html"><strong aria-hidden="true">3.1.54.</strong> font_dirs</a></li><li class="chapter-item "><a href="config/lua/config/font_hinting.html"><strong aria-hidden="true">3.1.55.</strong> font_hinting</a></li><li class="chapter-item "><a href="config/lua/config/font_locator.html"><strong aria-hidden="true">3.1.56.</strong> font_locator</a></li><li class="chapter-item "><a href="config/lua/config/font_rasterizer.html"><strong aria-hidden="true">3.1.57.</strong> font_rasterizer</a></li><li class="chapter-item "><a href="config/lua/config/font_rules.html"><strong aria-hidden="true">3.1.58.</strong> font_rules</a></li><li class="chapter-item "><a href="config/lua/config/font_shaper.html"><strong aria-hidden="true">3.1.59.</strong> font_shaper</a></li><li class="chapter-item "><a href="config/lua/config/font_size.html"><strong aria-hidden="true">3.1.60.</strong> font_size</a></li><li class="chapter-item "><a href="config/lua/config/force_reverse_video_cursor.html"><strong aria-hidden="true">3.1.61.</strong> force_reverse_video_cursor</a></li><li class="chapter-item "><a href="config/lua/config/foreground_text_hsb.html"><strong aria-hidden="true">3.1.62.</strong> foreground_text_hsb</a></li><li class="chapter-item "><a href="config/lua/config/freetype_interpreter_version.html"><strong aria-hidden="true">3.1.63.</strong> freetype_interpreter_version</a></li><li class="chapter-item "><a href="config/lua/config/freetype_load_flags.html"><strong aria-hidden="true">3.1.64.</strong> freetype_load_flags</a></li><li class="chapter-item "><a href="config/lua/config/freetype_load_target.html"><strong aria-hidden="true">3.1.65.</strong> freetype_load_target</a></li><li class="chapter-item "><a href="config/lua/config/freetype_pcf_long_family_names.html"><strong aria-hidden="true">3.1.66.</strong> freetype_pcf_long_family_names</a></li><li class="chapter-item "><a href="config/lua/config/freetype_render_target.html"><strong aria-hidden="true">3.1.67.</strong> freetype_render_target</a></li><li class="chapter-item "><a href="config/lua/config/front_end.html"><strong aria-hidden="true">3.1.68.</strong> front_end</a></li><li class="chapter-item "><a href="config/lua/config/harfbuzz_features.html"><strong aria-hidden="true">3.1.69.</strong> harfbuzz_features</a></li><li class="chapter-item "><a href="config/lua/config/hide_mouse_cursor_when_typing.html"><strong aria-hidden="true">3.1.70.</strong> hide_mouse_cursor_when_typing</a></li><li class="chapter-item "><a href="config/lua/config/hide_tab_bar_if_only_one_tab.html"><strong aria-hidden="true">3.1.71.</strong> hide_tab_bar_if_only_one_tab</a></li><li class="chapter-item "><a href="config/lua/config/hyperlink_rules.html"><strong aria-hidden="true">3.1.72.</strong> hyperlink_rules</a></li><li class="chapter-item "><a href="config/lua/config/ime_preedit_rendering.html"><strong aria-hidden="true">3.1.73.</strong> ime_preedit_rendering</a></li><li class="chapter-item "><a href="config/lua/config/initial_cols.html"><strong aria-hidden="true">3.1.74.</strong> initial_cols</a></li><li class="chapter-item "><a href="config/lua/config/initial_rows.html"><strong aria-hidden="true">3.1.75.</strong> initial_rows</a></li><li class="chapter-item "><a href="config/lua/config/integrated_title_button_alignment.html"><strong aria-hidden="true">3.1.76.</strong> integrated_title_button_alignment</a></li><li class="chapter-item "><a href="config/lua/config/integrated_title_button_color.html"><strong aria-hidden="true">3.1.77.</strong> integrated_title_button_color</a></li><li class="chapter-item "><a href="config/lua/config/integrated_title_button_style.html"><strong aria-hidden="true">3.1.78.</strong> integrated_title_button_style</a></li><li class="chapter-item "><a href="config/lua/config/integrated_title_buttons.html"><strong aria-hidden="true">3.1.79.</strong> integrated_title_buttons</a></li><li class="chapter-item "><a href="config/lua/config/key_map_preference.html"><strong aria-hidden="true">3.1.80.</strong> key_map_preference</a></li><li class="chapter-item "><a href="config/lua/config/key_tables.html"><strong aria-hidden="true">3.1.81.</strong> key_tables</a></li><li class="chapter-item "><a href="config/lua/config/launch_menu.html"><strong aria-hidden="true">3.1.82.</strong> launch_menu</a></li><li class="chapter-item "><a href="config/lua/config/line_height.html"><strong aria-hidden="true">3.1.83.</strong> line_height</a></li><li class="chapter-item "><a href="config/lua/config/log_unknown_escape_sequences.html"><strong aria-hidden="true">3.1.84.</strong> log_unknown_escape_sequences</a></li><li class="chapter-item "><a href="config/lua/config/macos_forward_to_ime_modifier_mask.html"><strong aria-hidden="true">3.1.85.</strong> macos_forward_to_ime_modifier_mask</a></li><li class="chapter-item "><a href="config/lua/config/macos_window_background_blur.html"><strong aria-hidden="true">3.1.86.</strong> macos_window_background_blur</a></li><li class="chapter-item "><a href="config/lua/config/max_fps.html"><strong aria-hidden="true">3.1.87.</strong> max_fps</a></li><li class="chapter-item "><a href="config/lua/config/min_scroll_bar_height.html"><strong aria-hidden="true">3.1.88.</strong> min_scroll_bar_height</a></li><li class="chapter-item "><a href="config/lua/config/mouse_wheel_scrolls_tabs.html"><strong aria-hidden="true">3.1.89.</strong> mouse_wheel_scrolls_tabs</a></li><li class="chapter-item "><a href="config/lua/config/mux_enable_ssh_agent.html"><strong aria-hidden="true">3.1.90.</strong> mux_enable_ssh_agent</a></li><li class="chapter-item "><a href="config/lua/config/mux_env_remove.html"><strong aria-hidden="true">3.1.91.</strong> mux_env_remove</a></li><li class="chapter-item "><a href="config/lua/config/native_macos_fullscreen_mode.html"><strong aria-hidden="true">3.1.92.</strong> native_macos_fullscreen_mode</a></li><li class="chapter-item "><a href="config/lua/config/normalize_output_to_unicode_nfc.html"><strong aria-hidden="true">3.1.93.</strong> normalize_output_to_unicode_nfc</a></li><li class="chapter-item "><a href="config/lua/config/notification_handling.html"><strong aria-hidden="true">3.1.94.</strong> notification_handling</a></li><li class="chapter-item "><a href="config/lua/config/pane_focus_follows_mouse.html"><strong aria-hidden="true">3.1.95.</strong> pane_focus_follows_mouse</a></li><li class="chapter-item "><a href="config/lua/config/prefer_egl.html"><strong aria-hidden="true">3.1.96.</strong> prefer_egl</a></li><li class="chapter-item "><a href="config/lua/config/prefer_to_spawn_tabs.html"><strong aria-hidden="true">3.1.97.</strong> prefer_to_spawn_tabs</a></li><li class="chapter-item "><a href="config/lua/config/quick_select_alphabet.html"><strong aria-hidden="true">3.1.98.</strong> quick_select_alphabet</a></li><li class="chapter-item "><a href="config/lua/config/quick_select_patterns.html"><strong aria-hidden="true">3.1.99.</strong> quick_select_patterns</a></li><li class="chapter-item "><a href="config/lua/config/quit_when_all_windows_are_closed.html"><strong aria-hidden="true">3.1.100.</strong> quit_when_all_windows_are_closed</a></li><li class="chapter-item "><a href="config/lua/config/quote_dropped_files.html"><strong aria-hidden="true">3.1.101.</strong> quote_dropped_files</a></li><li class="chapter-item "><a href="config/lua/config/scroll_to_bottom_on_input.html"><strong aria-hidden="true">3.1.102.</strong> scroll_to_bottom_on_input</a></li><li class="chapter-item "><a href="config/lua/config/scrollback_lines.html"><strong aria-hidden="true">3.1.103.</strong> scrollback_lines</a></li><li class="chapter-item "><a href="config/lua/config/selection_word_boundary.html"><strong aria-hidden="true">3.1.104.</strong> selection_word_boundary</a></li><li class="chapter-item "><a href="config/lua/config/serial_ports.html"><strong aria-hidden="true">3.1.105.</strong> serial_ports</a></li><li class="chapter-item "><a href="config/lua/config/set_environment_variables.html"><strong aria-hidden="true">3.1.106.</strong> set_environment_variables</a></li><li class="chapter-item "><a href="config/lua/config/show_close_tab_button_in_tabs.html"><strong aria-hidden="true">3.1.107.</strong> show_close_tab_button_in_tabs</a></li><li class="chapter-item "><a href="config/lua/config/show_new_tab_button_in_tab_bar.html"><strong aria-hidden="true">3.1.108.</strong> show_new_tab_button_in_tab_bar</a></li><li class="chapter-item "><a href="config/lua/config/show_tab_index_in_tab_bar.html"><strong aria-hidden="true">3.1.109.</strong> show_tab_index_in_tab_bar</a></li><li class="chapter-item "><a href="config/lua/config/show_tabs_in_tab_bar.html"><strong aria-hidden="true">3.1.110.</strong> show_tabs_in_tab_bar</a></li><li class="chapter-item "><a href="config/lua/config/show_update_window.html"><strong aria-hidden="true">3.1.111.</strong> show_update_window</a></li><li class="chapter-item "><a href="config/lua/config/skip_close_confirmation_for_processes_named.html"><strong aria-hidden="true">3.1.112.</strong> skip_close_confirmation_for_processes_named</a></li><li class="chapter-item "><a href="config/lua/config/ssh_backend.html"><strong aria-hidden="true">3.1.113.</strong> ssh_backend</a></li><li class="chapter-item "><a href="config/lua/config/ssh_domains.html"><strong aria-hidden="true">3.1.114.</strong> ssh_domains</a></li><li class="chapter-item "><a href="config/lua/config/status_update_interval.html"><strong aria-hidden="true">3.1.115.</strong> status_update_interval</a></li><li class="chapter-item "><a href="config/lua/config/strikethrough_position.html"><strong aria-hidden="true">3.1.116.</strong> strikethrough_position</a></li><li class="chapter-item "><a href="config/lua/config/swallow_mouse_click_on_pane_focus.html"><strong aria-hidden="true">3.1.117.</strong> swallow_mouse_click_on_pane_focus</a></li><li class="chapter-item "><a href="config/lua/config/swallow_mouse_click_on_window_focus.html"><strong aria-hidden="true">3.1.118.</strong> swallow_mouse_click_on_window_focus</a></li><li class="chapter-item "><a href="config/lua/config/swap_backspace_and_delete.html"><strong aria-hidden="true">3.1.119.</strong> swap_backspace_and_delete</a></li><li class="chapter-item "><a href="config/lua/config/switch_to_last_active_tab_when_closing_tab.html"><strong aria-hidden="true">3.1.120.</strong> switch_to_last_active_tab_when_closing_tab</a></li><li class="chapter-item "><a href="config/lua/config/tab_and_split_indices_are_zero_based.html"><strong aria-hidden="true">3.1.121.</strong> tab_and_split_indices_are_zero_based</a></li><li class="chapter-item "><a href="config/lua/config/tab_bar_at_bottom.html"><strong aria-hidden="true">3.1.122.</strong> tab_bar_at_bottom</a></li><li class="chapter-item "><a href="config/lua/config/tab_bar_style.html"><strong aria-hidden="true">3.1.123.</strong> tab_bar_style</a></li><li class="chapter-item "><a href="config/lua/config/tab_max_width.html"><strong aria-hidden="true">3.1.124.</strong> tab_max_width</a></li><li class="chapter-item "><a href="config/lua/config/term.html"><strong aria-hidden="true">3.1.125.</strong> term</a></li><li class="chapter-item "><a href="config/lua/config/text_blink_ease_in.html"><strong aria-hidden="true">3.1.126.</strong> text_blink_ease_in</a></li><li class="chapter-item "><a href="config/lua/config/text_blink_ease_out.html"><strong aria-hidden="true">3.1.127.</strong> text_blink_ease_out</a></li><li class="chapter-item "><a href="config/lua/config/text_blink_rapid_ease_in.html"><strong aria-hidden="true">3.1.128.</strong> text_blink_rapid_ease_in</a></li><li class="chapter-item "><a href="config/lua/config/text_blink_rapid_ease_out.html"><strong aria-hidden="true">3.1.129.</strong> text_blink_rapid_ease_out</a></li><li class="chapter-item "><a href="config/lua/config/text_blink_rate.html"><strong aria-hidden="true">3.1.130.</strong> text_blink_rate</a></li><li class="chapter-item "><a href="config/lua/config/text_blink_rate_rapid.html"><strong aria-hidden="true">3.1.131.</strong> text_blink_rate_rapid</a></li><li class="chapter-item "><a href="config/lua/config/tiling_desktop_environments.html"><strong aria-hidden="true">3.1.132.</strong> tiling_desktop_environments</a></li><li class="chapter-item "><a href="config/lua/config/tls_clients.html"><strong aria-hidden="true">3.1.133.</strong> tls_clients</a></li><li class="chapter-item "><a href="config/lua/config/tls_servers.html"><strong aria-hidden="true">3.1.134.</strong> tls_servers</a></li><li class="chapter-item "><a href="config/lua/config/treat_east_asian_ambiguous_width_as_wide.html"><strong aria-hidden="true">3.1.135.</strong> treat_east_asian_ambiguous_width_as_wide</a></li><li class="chapter-item "><a href="config/lua/config/treat_left_ctrlalt_as_altgr.html"><strong aria-hidden="true">3.1.136.</strong> treat_left_ctrlalt_as_altgr</a></li><li class="chapter-item "><a href="config/lua/config/ui_key_cap_rendering.html"><strong aria-hidden="true">3.1.137.</strong> ui_key_cap_rendering</a></li><li class="chapter-item "><a href="config/lua/config/ulimit_nofile.html"><strong aria-hidden="true">3.1.138.</strong> ulimit_nofile</a></li><li class="chapter-item "><a href="config/lua/config/ulimit_nproc.html"><strong aria-hidden="true">3.1.139.</strong> ulimit_nproc</a></li><li class="chapter-item "><a href="config/lua/config/underline_position.html"><strong aria-hidden="true">3.1.140.</strong> underline_position</a></li><li class="chapter-item "><a href="config/lua/config/underline_thickness.html"><strong aria-hidden="true">3.1.141.</strong> underline_thickness</a></li><li class="chapter-item "><a href="config/lua/config/unicode_version.html"><strong aria-hidden="true">3.1.142.</strong> unicode_version</a></li><li class="chapter-item "><a href="config/lua/config/unix_domains.html"><strong aria-hidden="true">3.1.143.</strong> unix_domains</a></li><li class="chapter-item "><a href="config/lua/config/unzoom_on_switch_pane.html"><strong aria-hidden="true">3.1.144.</strong> unzoom_on_switch_pane</a></li><li class="chapter-item "><a href="config/lua/config/use_cap_height_to_scale_fallback_fonts.html"><strong aria-hidden="true">3.1.145.</strong> use_cap_height_to_scale_fallback_fonts</a></li><li class="chapter-item "><a href="config/lua/config/use_fancy_tab_bar.html"><strong aria-hidden="true">3.1.146.</strong> use_fancy_tab_bar</a></li><li class="chapter-item "><a href="config/lua/config/use_ime.html"><strong aria-hidden="true">3.1.147.</strong> use_ime</a></li><li class="chapter-item "><a href="config/lua/config/use_resize_increments.html"><strong aria-hidden="true">3.1.148.</strong> use_resize_increments</a></li><li class="chapter-item "><a href="config/lua/config/visual_bell.html"><strong aria-hidden="true">3.1.149.</strong> visual_bell</a></li><li class="chapter-item "><a href="config/lua/config/warn_about_missing_glyphs.html"><strong aria-hidden="true">3.1.150.</strong> warn_about_missing_glyphs</a></li><li class="chapter-item "><a href="config/lua/config/webgpu_force_fallback_adapter.html"><strong aria-hidden="true">3.1.151.</strong> webgpu_force_fallback_adapter</a></li><li class="chapter-item "><a href="config/lua/config/webgpu_power_preference.html"><strong aria-hidden="true">3.1.152.</strong> webgpu_power_preference</a></li><li class="chapter-item "><a href="config/lua/config/webgpu_preferred_adapter.html"><strong aria-hidden="true">3.1.153.</strong> webgpu_preferred_adapter</a></li><li class="chapter-item "><a href="config/lua/config/win32_acrylic_accent_color.html"><strong aria-hidden="true">3.1.154.</strong> win32_acrylic_accent_color</a></li><li class="chapter-item "><a href="config/lua/config/win32_system_backdrop.html"><strong aria-hidden="true">3.1.155.</strong> win32_system_backdrop</a></li><li class="chapter-item "><a href="config/lua/config/window_background_gradient.html"><strong aria-hidden="true">3.1.156.</strong> window_background_gradient</a></li><li class="chapter-item "><a href="config/lua/config/window_close_confirmation.html"><strong aria-hidden="true">3.1.157.</strong> window_close_confirmation</a></li><li class="chapter-item "><a href="config/lua/config/window_content_alignment.html"><strong aria-hidden="true">3.1.158.</strong> window_content_alignment</a></li><li class="chapter-item "><a href="config/lua/config/window_decorations.html"><strong aria-hidden="true">3.1.159.</strong> window_decorations</a></li><li class="chapter-item "><a href="config/lua/config/window_frame.html"><strong aria-hidden="true">3.1.160.</strong> window_frame</a></li><li class="chapter-item "><a href="config/lua/config/window_padding.html"><strong aria-hidden="true">3.1.161.</strong> window_padding</a></li><li class="chapter-item "><a href="config/lua/config/wsl_domains.html"><strong aria-hidden="true">3.1.162.</strong> wsl_domains</a></li><li class="chapter-item "><a href="config/lua/config/xim_im_name.html"><strong aria-hidden="true">3.1.163.</strong> xim_im_name</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm/index.html"><strong aria-hidden="true">3.2.</strong> module: wezterm</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm/GLOBAL.html"><strong aria-hidden="true">3.2.1.</strong> GLOBAL</a></li><li class="chapter-item "><a href="config/lua/wezterm/action.html"><strong aria-hidden="true">3.2.2.</strong> action</a></li><li class="chapter-item "><a href="config/lua/wezterm/action_callback.html"><strong aria-hidden="true">3.2.3.</strong> action_callback</a></li><li class="chapter-item "><a href="config/lua/wezterm/add_to_config_reload_watch_list.html"><strong aria-hidden="true">3.2.4.</strong> add_to_config_reload_watch_list</a></li><li class="chapter-item "><a href="config/lua/wezterm/background_child_process.html"><strong aria-hidden="true">3.2.5.</strong> background_child_process</a></li><li class="chapter-item "><a href="config/lua/wezterm/battery_info.html"><strong aria-hidden="true">3.2.6.</strong> battery_info</a></li><li class="chapter-item "><a href="config/lua/wezterm/column_width.html"><strong aria-hidden="true">3.2.7.</strong> column_width</a></li><li class="chapter-item "><a href="config/lua/wezterm/config_builder.html"><strong aria-hidden="true">3.2.8.</strong> config_builder</a></li><li class="chapter-item "><a href="config/lua/wezterm/config_dir.html"><strong aria-hidden="true">3.2.9.</strong> config_dir</a></li><li class="chapter-item "><a href="config/lua/wezterm/config_file.html"><strong aria-hidden="true">3.2.10.</strong> config_file</a></li><li class="chapter-item "><a href="config/lua/wezterm/default_hyperlink_rules.html"><strong aria-hidden="true">3.2.11.</strong> default_hyperlink_rules</a></li><li class="chapter-item "><a href="config/lua/wezterm/default_ssh_domains.html"><strong aria-hidden="true">3.2.12.</strong> default_ssh_domains</a></li><li class="chapter-item "><a href="config/lua/wezterm/default_wsl_domains.html"><strong aria-hidden="true">3.2.13.</strong> default_wsl_domains</a></li><li class="chapter-item "><a href="config/lua/wezterm/emit.html"><strong aria-hidden="true">3.2.14.</strong> emit</a></li><li class="chapter-item "><a href="config/lua/wezterm/enumerate_ssh_hosts.html"><strong aria-hidden="true">3.2.15.</strong> enumerate_ssh_hosts</a></li><li class="chapter-item "><a href="config/lua/wezterm/executable_dir.html"><strong aria-hidden="true">3.2.16.</strong> executable_dir</a></li><li class="chapter-item "><a href="config/lua/wezterm/font.html"><strong aria-hidden="true">3.2.17.</strong> font</a></li><li class="chapter-item "><a href="config/lua/wezterm/font_with_fallback.html"><strong aria-hidden="true">3.2.18.</strong> font_with_fallback</a></li><li class="chapter-item "><a href="config/lua/wezterm/format.html"><strong aria-hidden="true">3.2.19.</strong> format</a></li><li class="chapter-item "><a href="config/lua/wezterm/get_builtin_color_schemes.html"><strong aria-hidden="true">3.2.20.</strong> get_builtin_color_schemes</a></li><li class="chapter-item "><a href="config/lua/wezterm/glob.html"><strong aria-hidden="true">3.2.21.</strong> glob</a></li><li class="chapter-item "><a href="config/lua/wezterm/gradient_colors.html"><strong aria-hidden="true">3.2.22.</strong> gradient_colors</a></li><li class="chapter-item "><a href="config/lua/wezterm/has_action.html"><strong aria-hidden="true">3.2.23.</strong> has_action</a></li><li class="chapter-item "><a href="config/lua/wezterm/home_dir.html"><strong aria-hidden="true">3.2.24.</strong> home_dir</a></li><li class="chapter-item "><a href="config/lua/wezterm/hostname.html"><strong aria-hidden="true">3.2.25.</strong> hostname</a></li><li class="chapter-item "><a href="config/lua/wezterm/json_encode.html"><strong aria-hidden="true">3.2.26.</strong> json_encode</a></li><li class="chapter-item "><a href="config/lua/wezterm/json_parse.html"><strong aria-hidden="true">3.2.27.</strong> json_parse</a></li><li class="chapter-item "><a href="config/lua/wezterm/log_error.html"><strong aria-hidden="true">3.2.28.</strong> log_error</a></li><li class="chapter-item "><a href="config/lua/wezterm/log_info.html"><strong aria-hidden="true">3.2.29.</strong> log_info</a></li><li class="chapter-item "><a href="config/lua/wezterm/log_warn.html"><strong aria-hidden="true">3.2.30.</strong> log_warn</a></li><li class="chapter-item "><a href="config/lua/wezterm/nerdfonts.html"><strong aria-hidden="true">3.2.31.</strong> nerdfonts</a></li><li class="chapter-item "><a href="config/lua/wezterm/on.html"><strong aria-hidden="true">3.2.32.</strong> on</a></li><li class="chapter-item "><a href="config/lua/wezterm/open_with.html"><strong aria-hidden="true">3.2.33.</strong> open_with</a></li><li class="chapter-item "><a href="config/lua/wezterm/pad_left.html"><strong aria-hidden="true">3.2.34.</strong> pad_left</a></li><li class="chapter-item "><a href="config/lua/wezterm/pad_right.html"><strong aria-hidden="true">3.2.35.</strong> pad_right</a></li><li class="chapter-item "><a href="config/lua/wezterm/permute_any_mods.html"><strong aria-hidden="true">3.2.36.</strong> permute_any_mods</a></li><li class="chapter-item "><a href="config/lua/wezterm/permute_any_or_no_mods.html"><strong aria-hidden="true">3.2.37.</strong> permute_any_or_no_mods</a></li><li class="chapter-item "><a href="config/lua/wezterm/read_dir.html"><strong aria-hidden="true">3.2.38.</strong> read_dir</a></li><li class="chapter-item "><a href="config/lua/wezterm/reload_configuration.html"><strong aria-hidden="true">3.2.39.</strong> reload_configuration</a></li><li class="chapter-item "><a href="config/lua/wezterm/run_child_process.html"><strong aria-hidden="true">3.2.40.</strong> run_child_process</a></li><li class="chapter-item "><a href="config/lua/wezterm/running_under_wsl.html"><strong aria-hidden="true">3.2.41.</strong> running_under_wsl</a></li><li class="chapter-item "><a href="config/lua/wezterm/shell_join_args.html"><strong aria-hidden="true">3.2.42.</strong> shell_join_args</a></li><li class="chapter-item "><a href="config/lua/wezterm/shell_quote_arg.html"><strong aria-hidden="true">3.2.43.</strong> shell_quote_arg</a></li><li class="chapter-item "><a href="config/lua/wezterm/shell_split.html"><strong aria-hidden="true">3.2.44.</strong> shell_split</a></li><li class="chapter-item "><a href="config/lua/wezterm/sleep_ms.html"><strong aria-hidden="true">3.2.45.</strong> sleep_ms</a></li><li class="chapter-item "><a href="config/lua/wezterm/split_by_newlines.html"><strong aria-hidden="true">3.2.46.</strong> split_by_newlines</a></li><li class="chapter-item "><a href="config/lua/wezterm/strftime.html"><strong aria-hidden="true">3.2.47.</strong> strftime</a></li><li class="chapter-item "><a href="config/lua/wezterm/strftime_utc.html"><strong aria-hidden="true">3.2.48.</strong> strftime_utc</a></li><li class="chapter-item "><a href="config/lua/wezterm/target_triple.html"><strong aria-hidden="true">3.2.49.</strong> target_triple</a></li><li class="chapter-item "><a href="config/lua/wezterm/to_string.html"><strong aria-hidden="true">3.2.50.</strong> to_string</a></li><li class="chapter-item "><a href="config/lua/wezterm/truncate_left.html"><strong aria-hidden="true">3.2.51.</strong> truncate_left</a></li><li class="chapter-item "><a href="config/lua/wezterm/truncate_right.html"><strong aria-hidden="true">3.2.52.</strong> truncate_right</a></li><li class="chapter-item "><a href="config/lua/wezterm/utf16_to_utf8.html"><strong aria-hidden="true">3.2.53.</strong> utf16_to_utf8</a></li><li class="chapter-item "><a href="config/lua/wezterm/version.html"><strong aria-hidden="true">3.2.54.</strong> version</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.color/index.html"><strong aria-hidden="true">3.3.</strong> module: wezterm.color</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.color/extract_colors_from_image.html"><strong aria-hidden="true">3.3.1.</strong> extract_colors_from_image</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/from_hsla.html"><strong aria-hidden="true">3.3.2.</strong> from_hsla</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/get_builtin_schemes.html"><strong aria-hidden="true">3.3.3.</strong> get_builtin_schemes</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/get_default_colors.html"><strong aria-hidden="true">3.3.4.</strong> get_default_colors</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/gradient.html"><strong aria-hidden="true">3.3.5.</strong> gradient</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/load_base16_scheme.html"><strong aria-hidden="true">3.3.6.</strong> load_base16_scheme</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/load_scheme.html"><strong aria-hidden="true">3.3.7.</strong> load_scheme</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/load_terminal_sexy_scheme.html"><strong aria-hidden="true">3.3.8.</strong> load_terminal_sexy_scheme</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/parse.html"><strong aria-hidden="true">3.3.9.</strong> parse</a></li><li class="chapter-item "><a href="config/lua/wezterm.color/save_scheme.html"><strong aria-hidden="true">3.3.10.</strong> save_scheme</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.gui/index.html"><strong aria-hidden="true">3.4.</strong> module: wezterm.gui</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.gui/default_key_tables.html"><strong aria-hidden="true">3.4.1.</strong> default_key_tables</a></li><li class="chapter-item "><a href="config/lua/wezterm.gui/default_keys.html"><strong aria-hidden="true">3.4.2.</strong> default_keys</a></li><li class="chapter-item "><a href="config/lua/wezterm.gui/enumerate_gpus.html"><strong aria-hidden="true">3.4.3.</strong> enumerate_gpus</a></li><li class="chapter-item "><a href="config/lua/wezterm.gui/get_appearance.html"><strong aria-hidden="true">3.4.4.</strong> get_appearance</a></li><li class="chapter-item "><a href="config/lua/wezterm.gui/gui_window_for_mux_window.html"><strong aria-hidden="true">3.4.5.</strong> gui_window_for_mux_window</a></li><li class="chapter-item "><a href="config/lua/wezterm.gui/gui_windows.html"><strong aria-hidden="true">3.4.6.</strong> gui_windows</a></li><li class="chapter-item "><a href="config/lua/wezterm.gui/screens.html"><strong aria-hidden="true">3.4.7.</strong> screens</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.mux/index.html"><strong aria-hidden="true">3.5.</strong> module: wezterm.mux</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.mux/all_domains.html"><strong aria-hidden="true">3.5.1.</strong> all_domains</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/all_windows.html"><strong aria-hidden="true">3.5.2.</strong> all_windows</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/get_active_workspace.html"><strong aria-hidden="true">3.5.3.</strong> get_active_workspace</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/get_domain.html"><strong aria-hidden="true">3.5.4.</strong> get_domain</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/get_pane.html"><strong aria-hidden="true">3.5.5.</strong> get_pane</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/get_tab.html"><strong aria-hidden="true">3.5.6.</strong> get_tab</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/get_window.html"><strong aria-hidden="true">3.5.7.</strong> get_window</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/get_workspace_names.html"><strong aria-hidden="true">3.5.8.</strong> get_workspace_names</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/rename_workspace.html"><strong aria-hidden="true">3.5.9.</strong> rename_workspace</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/set_active_workspace.html"><strong aria-hidden="true">3.5.10.</strong> set_active_workspace</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/set_default_domain.html"><strong aria-hidden="true">3.5.11.</strong> set_default_domain</a></li><li class="chapter-item "><a href="config/lua/wezterm.mux/spawn_window.html"><strong aria-hidden="true">3.5.12.</strong> spawn_window</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.plugin/index.html"><strong aria-hidden="true">3.6.</strong> module: wezterm.plugin</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.plugin/list.html"><strong aria-hidden="true">3.6.1.</strong> list</a></li><li class="chapter-item "><a href="config/lua/wezterm.plugin/require.html"><strong aria-hidden="true">3.6.2.</strong> require</a></li><li class="chapter-item "><a href="config/lua/wezterm.plugin/update_all.html"><strong aria-hidden="true">3.6.3.</strong> update_all</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.procinfo/index.html"><strong aria-hidden="true">3.7.</strong> module: wezterm.procinfo</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.procinfo/current_working_dir_for_pid.html"><strong aria-hidden="true">3.7.1.</strong> current_working_dir_for_pid</a></li><li class="chapter-item "><a href="config/lua/wezterm.procinfo/executable_path_for_pid.html"><strong aria-hidden="true">3.7.2.</strong> executable_path_for_pid</a></li><li class="chapter-item "><a href="config/lua/wezterm.procinfo/get_info_for_pid.html"><strong aria-hidden="true">3.7.3.</strong> get_info_for_pid</a></li><li class="chapter-item "><a href="config/lua/wezterm.procinfo/pid.html"><strong aria-hidden="true">3.7.4.</strong> pid</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.serde/index.html"><strong aria-hidden="true">3.8.</strong> module: wezterm.serde</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.serde/json_decode.html"><strong aria-hidden="true">3.8.1.</strong> json_decode</a></li><li class="chapter-item "><a href="config/lua/wezterm.serde/json_encode.html"><strong aria-hidden="true">3.8.2.</strong> json_encode</a></li><li class="chapter-item "><a href="config/lua/wezterm.serde/json_encode_pretty.html"><strong aria-hidden="true">3.8.3.</strong> json_encode_pretty</a></li><li class="chapter-item "><a href="config/lua/wezterm.serde/toml_decode.html"><strong aria-hidden="true">3.8.4.</strong> toml_decode</a></li><li class="chapter-item "><a href="config/lua/wezterm.serde/toml_encode.html"><strong aria-hidden="true">3.8.5.</strong> toml_encode</a></li><li class="chapter-item "><a href="config/lua/wezterm.serde/toml_encode_pretty.html"><strong aria-hidden="true">3.8.6.</strong> toml_encode_pretty</a></li><li class="chapter-item "><a href="config/lua/wezterm.serde/yaml_decode.html"><strong aria-hidden="true">3.8.7.</strong> yaml_decode</a></li><li class="chapter-item "><a href="config/lua/wezterm.serde/yaml_encode.html"><strong aria-hidden="true">3.8.8.</strong> yaml_encode</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.time/index.html"><strong aria-hidden="true">3.9.</strong> module: wezterm.time</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.time/call_after.html"><strong aria-hidden="true">3.9.1.</strong> call_after</a></li><li class="chapter-item "><a href="config/lua/wezterm.time/now.html"><strong aria-hidden="true">3.9.2.</strong> now</a></li><li class="chapter-item "><a href="config/lua/wezterm.time/parse.html"><strong aria-hidden="true">3.9.3.</strong> parse</a></li><li class="chapter-item "><a href="config/lua/wezterm.time/parse_rfc3339.html"><strong aria-hidden="true">3.9.4.</strong> parse_rfc3339</a></li></ol></li><li class="chapter-item "><a href="config/lua/wezterm.url/index.html"><strong aria-hidden="true">3.10.</strong> module: wezterm.url</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.url/Url.html"><strong aria-hidden="true">3.10.1.</strong> Url</a></li><li class="chapter-item "><a href="config/lua/wezterm.url/parse.html"><strong aria-hidden="true">3.10.2.</strong> parse</a></li></ol></li><li class="chapter-item "><a href="config/lua/keyassignment/index.html"><strong aria-hidden="true">3.11.</strong> enum: KeyAssignment</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/keyassignment/ActivateCommandPalette.html"><strong aria-hidden="true">3.11.1.</strong> ActivateCommandPalette</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateCopyMode.html"><strong aria-hidden="true">3.11.2.</strong> ActivateCopyMode</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateKeyTable.html"><strong aria-hidden="true">3.11.3.</strong> ActivateKeyTable</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateLastTab.html"><strong aria-hidden="true">3.11.4.</strong> ActivateLastTab</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivatePaneByIndex.html"><strong aria-hidden="true">3.11.5.</strong> ActivatePaneByIndex</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivatePaneDirection.html"><strong aria-hidden="true">3.11.6.</strong> ActivatePaneDirection</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateTab.html"><strong aria-hidden="true">3.11.7.</strong> ActivateTab</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateTabRelative.html"><strong aria-hidden="true">3.11.8.</strong> ActivateTabRelative</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateTabRelativeNoWrap.html"><strong aria-hidden="true">3.11.9.</strong> ActivateTabRelativeNoWrap</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateWindow.html"><strong aria-hidden="true">3.11.10.</strong> ActivateWindow</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateWindowRelative.html"><strong aria-hidden="true">3.11.11.</strong> ActivateWindowRelative</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ActivateWindowRelativeNoWrap.html"><strong aria-hidden="true">3.11.12.</strong> ActivateWindowRelativeNoWrap</a></li><li class="chapter-item "><a href="config/lua/keyassignment/AdjustPaneSize.html"><strong aria-hidden="true">3.11.13.</strong> AdjustPaneSize</a></li><li class="chapter-item "><a href="config/lua/keyassignment/AttachDomain.html"><strong aria-hidden="true">3.11.14.</strong> AttachDomain</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CharSelect.html"><strong aria-hidden="true">3.11.15.</strong> CharSelect</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ClearKeyTableStack.html"><strong aria-hidden="true">3.11.16.</strong> ClearKeyTableStack</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ClearScrollback.html"><strong aria-hidden="true">3.11.17.</strong> ClearScrollback</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ClearSelection.html"><strong aria-hidden="true">3.11.18.</strong> ClearSelection</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CloseCurrentPane.html"><strong aria-hidden="true">3.11.19.</strong> CloseCurrentPane</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CloseCurrentTab.html"><strong aria-hidden="true">3.11.20.</strong> CloseCurrentTab</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CompleteSelection.html"><strong aria-hidden="true">3.11.21.</strong> CompleteSelection</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CompleteSelectionOrOpenLinkAtMouseCursor.html"><strong aria-hidden="true">3.11.22.</strong> CompleteSelectionOrOpenLinkAtMouseCursor</a></li><li class="chapter-item "><a href="config/lua/keyassignment/Copy.html"><strong aria-hidden="true">3.11.23.</strong> Copy</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyTo.html"><strong aria-hidden="true">3.11.24.</strong> CopyTo</a></li><li class="chapter-item "><a href="config/lua/keyassignment/DecreaseFontSize.html"><strong aria-hidden="true">3.11.25.</strong> DecreaseFontSize</a></li><li class="chapter-item "><a href="config/lua/keyassignment/DetachDomain.html"><strong aria-hidden="true">3.11.26.</strong> DetachDomain</a></li><li class="chapter-item "><a href="config/lua/keyassignment/DisableDefaultAssignment.html"><strong aria-hidden="true">3.11.27.</strong> DisableDefaultAssignment</a></li><li class="chapter-item "><a href="config/lua/keyassignment/EmitEvent.html"><strong aria-hidden="true">3.11.28.</strong> EmitEvent</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ExtendSelectionToMouseCursor.html"><strong aria-hidden="true">3.11.29.</strong> ExtendSelectionToMouseCursor</a></li><li class="chapter-item "><a href="config/lua/keyassignment/Hide.html"><strong aria-hidden="true">3.11.30.</strong> Hide</a></li><li class="chapter-item "><a href="config/lua/keyassignment/HideApplication.html"><strong aria-hidden="true">3.11.31.</strong> HideApplication</a></li><li class="chapter-item "><a href="config/lua/keyassignment/IncreaseFontSize.html"><strong aria-hidden="true">3.11.32.</strong> IncreaseFontSize</a></li><li class="chapter-item "><a href="config/lua/keyassignment/InputSelector.html"><strong aria-hidden="true">3.11.33.</strong> InputSelector</a></li><li class="chapter-item "><a href="config/lua/keyassignment/MoveTab.html"><strong aria-hidden="true">3.11.34.</strong> MoveTab</a></li><li class="chapter-item "><a href="config/lua/keyassignment/MoveTabRelative.html"><strong aria-hidden="true">3.11.35.</strong> MoveTabRelative</a></li><li class="chapter-item "><a href="config/lua/keyassignment/Multiple.html"><strong aria-hidden="true">3.11.36.</strong> Multiple</a></li><li class="chapter-item "><a href="config/lua/keyassignment/Nop.html"><strong aria-hidden="true">3.11.37.</strong> Nop</a></li><li class="chapter-item "><a href="config/lua/keyassignment/OpenLinkAtMouseCursor.html"><strong aria-hidden="true">3.11.38.</strong> OpenLinkAtMouseCursor</a></li><li class="chapter-item "><a href="config/lua/keyassignment/PaneSelect.html"><strong aria-hidden="true">3.11.39.</strong> PaneSelect</a></li><li class="chapter-item "><a href="config/lua/keyassignment/Paste.html"><strong aria-hidden="true">3.11.40.</strong> Paste</a></li><li class="chapter-item "><a href="config/lua/keyassignment/PasteFrom.html"><strong aria-hidden="true">3.11.41.</strong> PasteFrom</a></li><li class="chapter-item "><a href="config/lua/keyassignment/PastePrimarySelection.html"><strong aria-hidden="true">3.11.42.</strong> PastePrimarySelection</a></li><li class="chapter-item "><a href="config/lua/keyassignment/PopKeyTable.html"><strong aria-hidden="true">3.11.43.</strong> PopKeyTable</a></li><li class="chapter-item "><a href="config/lua/keyassignment/PromptInputLine.html"><strong aria-hidden="true">3.11.44.</strong> PromptInputLine</a></li><li class="chapter-item "><a href="config/lua/keyassignment/QuickSelect.html"><strong aria-hidden="true">3.11.45.</strong> QuickSelect</a></li><li class="chapter-item "><a href="config/lua/keyassignment/QuickSelectArgs.html"><strong aria-hidden="true">3.11.46.</strong> QuickSelectArgs</a></li><li class="chapter-item "><a href="config/lua/keyassignment/QuitApplication.html"><strong aria-hidden="true">3.11.47.</strong> QuitApplication</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ReloadConfiguration.html"><strong aria-hidden="true">3.11.48.</strong> ReloadConfiguration</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ResetFontAndWindowSize.html"><strong aria-hidden="true">3.11.49.</strong> ResetFontAndWindowSize</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ResetFontSize.html"><strong aria-hidden="true">3.11.50.</strong> ResetFontSize</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ResetTerminal.html"><strong aria-hidden="true">3.11.51.</strong> ResetTerminal</a></li><li class="chapter-item "><a href="config/lua/keyassignment/RotatePanes.html"><strong aria-hidden="true">3.11.52.</strong> RotatePanes</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ScrollByCurrentEventWheelDelta.html"><strong aria-hidden="true">3.11.53.</strong> ScrollByCurrentEventWheelDelta</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ScrollByLine.html"><strong aria-hidden="true">3.11.54.</strong> ScrollByLine</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ScrollByPage.html"><strong aria-hidden="true">3.11.55.</strong> ScrollByPage</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ScrollToBottom.html"><strong aria-hidden="true">3.11.56.</strong> ScrollToBottom</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ScrollToPrompt.html"><strong aria-hidden="true">3.11.57.</strong> ScrollToPrompt</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ScrollToTop.html"><strong aria-hidden="true">3.11.58.</strong> ScrollToTop</a></li><li class="chapter-item "><a href="config/lua/keyassignment/Search.html"><strong aria-hidden="true">3.11.59.</strong> Search</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SelectTextAtMouseCursor.html"><strong aria-hidden="true">3.11.60.</strong> SelectTextAtMouseCursor</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SendKey.html"><strong aria-hidden="true">3.11.61.</strong> SendKey</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SendString.html"><strong aria-hidden="true">3.11.62.</strong> SendString</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SetPaneZoomState.html"><strong aria-hidden="true">3.11.63.</strong> SetPaneZoomState</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SetWindowLevel.html"><strong aria-hidden="true">3.11.64.</strong> SetWindowLevel</a></li><li class="chapter-item "><a href="config/lua/keyassignment/Show.html"><strong aria-hidden="true">3.11.65.</strong> Show</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ShowDebugOverlay.html"><strong aria-hidden="true">3.11.66.</strong> ShowDebugOverlay</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ShowLauncher.html"><strong aria-hidden="true">3.11.67.</strong> ShowLauncher</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ShowLauncherArgs.html"><strong aria-hidden="true">3.11.68.</strong> ShowLauncherArgs</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ShowTabNavigator.html"><strong aria-hidden="true">3.11.69.</strong> ShowTabNavigator</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SpawnCommandInNewTab.html"><strong aria-hidden="true">3.11.70.</strong> SpawnCommandInNewTab</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SpawnCommandInNewWindow.html"><strong aria-hidden="true">3.11.71.</strong> SpawnCommandInNewWindow</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SpawnTab.html"><strong aria-hidden="true">3.11.72.</strong> SpawnTab</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SpawnWindow.html"><strong aria-hidden="true">3.11.73.</strong> SpawnWindow</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SplitHorizontal.html"><strong aria-hidden="true">3.11.74.</strong> SplitHorizontal</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SplitPane.html"><strong aria-hidden="true">3.11.75.</strong> SplitPane</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SplitVertical.html"><strong aria-hidden="true">3.11.76.</strong> SplitVertical</a></li><li class="chapter-item "><a href="config/lua/keyassignment/StartWindowDrag.html"><strong aria-hidden="true">3.11.77.</strong> StartWindowDrag</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SwitchToWorkspace.html"><strong aria-hidden="true">3.11.78.</strong> SwitchToWorkspace</a></li><li class="chapter-item "><a href="config/lua/keyassignment/SwitchWorkspaceRelative.html"><strong aria-hidden="true">3.11.79.</strong> SwitchWorkspaceRelative</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ToggleAlwaysOnBottom.html"><strong aria-hidden="true">3.11.80.</strong> ToggleAlwaysOnBottom</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ToggleAlwaysOnTop.html"><strong aria-hidden="true">3.11.81.</strong> ToggleAlwaysOnTop</a></li><li class="chapter-item "><a href="config/lua/keyassignment/ToggleFullScreen.html"><strong aria-hidden="true">3.11.82.</strong> ToggleFullScreen</a></li><li class="chapter-item "><a href="config/lua/keyassignment/TogglePaneZoomState.html"><strong aria-hidden="true">3.11.83.</strong> TogglePaneZoomState</a></li></ol></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/index.html"><strong aria-hidden="true">3.12.</strong> enum: CopyModeAssignment</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/AcceptPattern.html"><strong aria-hidden="true">3.12.1.</strong> AcceptPattern</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/ClearPattern.html"><strong aria-hidden="true">3.12.2.</strong> ClearPattern</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/ClearSelectionMode.html"><strong aria-hidden="true">3.12.3.</strong> ClearSelectionMode</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/Close.html"><strong aria-hidden="true">3.12.4.</strong> Close</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/CycleMatchType.html"><strong aria-hidden="true">3.12.5.</strong> CycleMatchType</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/EditPattern.html"><strong aria-hidden="true">3.12.6.</strong> EditPattern</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveBackwardSemanticZone.html"><strong aria-hidden="true">3.12.7.</strong> MoveBackwardSemanticZone</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveBackwardSemanticZoneOfType.html"><strong aria-hidden="true">3.12.8.</strong> MoveBackwardSemanticZoneOfType</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveBackwardWord.html"><strong aria-hidden="true">3.12.9.</strong> MoveBackwardWord</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveDown.html"><strong aria-hidden="true">3.12.10.</strong> MoveDown</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveForwardSemanticZone.html"><strong aria-hidden="true">3.12.11.</strong> MoveForwardSemanticZone</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveForwardSemanticZoneOfType.html"><strong aria-hidden="true">3.12.12.</strong> MoveForwardSemanticZoneOfType</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveForwardWord.html"><strong aria-hidden="true">3.12.13.</strong> MoveForwardWord</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveForwardWordEnd.html"><strong aria-hidden="true">3.12.14.</strong> MoveForwardWordEnd</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveLeft.html"><strong aria-hidden="true">3.12.15.</strong> MoveLeft</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveRight.html"><strong aria-hidden="true">3.12.16.</strong> MoveRight</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToEndOfLineContent.html"><strong aria-hidden="true">3.12.17.</strong> MoveToEndOfLineContent</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToScrollbackBottom.html"><strong aria-hidden="true">3.12.18.</strong> MoveToScrollbackBottom</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToScrollbackTop.html"><strong aria-hidden="true">3.12.19.</strong> MoveToScrollbackTop</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToSelectionOtherEnd.html"><strong aria-hidden="true">3.12.20.</strong> MoveToSelectionOtherEnd</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToSelectionOtherEndHoriz.html"><strong aria-hidden="true">3.12.21.</strong> MoveToSelectionOtherEndHoriz</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToStartOfLine.html"><strong aria-hidden="true">3.12.22.</strong> MoveToStartOfLine</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToStartOfLineContent.html"><strong aria-hidden="true">3.12.23.</strong> MoveToStartOfLineContent</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToStartOfNextLine.html"><strong aria-hidden="true">3.12.24.</strong> MoveToStartOfNextLine</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToViewportBottom.html"><strong aria-hidden="true">3.12.25.</strong> MoveToViewportBottom</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToViewportMiddle.html"><strong aria-hidden="true">3.12.26.</strong> MoveToViewportMiddle</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveToViewportTop.html"><strong aria-hidden="true">3.12.27.</strong> MoveToViewportTop</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/MoveUp.html"><strong aria-hidden="true">3.12.28.</strong> MoveUp</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/NextMatch.html"><strong aria-hidden="true">3.12.29.</strong> NextMatch</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/NextMatchPage.html"><strong aria-hidden="true">3.12.30.</strong> NextMatchPage</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/PriorMatch.html"><strong aria-hidden="true">3.12.31.</strong> PriorMatch</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/PriorMatchPage.html"><strong aria-hidden="true">3.12.32.</strong> PriorMatchPage</a></li><li class="chapter-item "><a href="config/lua/keyassignment/CopyMode/SetSelectionMode.html"><strong aria-hidden="true">3.12.33.</strong> SetSelectionMode</a></li></ol></li><li class="chapter-item "><a href="config/lua/color/index.html"><strong aria-hidden="true">3.13.</strong> object: Color</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/color/adjust_hue_fixed.html"><strong aria-hidden="true">3.13.1.</strong> adjust_hue_fixed</a></li><li class="chapter-item "><a href="config/lua/color/adjust_hue_fixed_ryb.html"><strong aria-hidden="true">3.13.2.</strong> adjust_hue_fixed_ryb</a></li><li class="chapter-item "><a href="config/lua/color/complement.html"><strong aria-hidden="true">3.13.3.</strong> complement</a></li><li class="chapter-item "><a href="config/lua/color/complement_ryb.html"><strong aria-hidden="true">3.13.4.</strong> complement_ryb</a></li><li class="chapter-item "><a href="config/lua/color/contrast_ratio.html"><strong aria-hidden="true">3.13.5.</strong> contrast_ratio</a></li><li class="chapter-item "><a href="config/lua/color/darken.html"><strong aria-hidden="true">3.13.6.</strong> darken</a></li><li class="chapter-item "><a href="config/lua/color/darken_fixed.html"><strong aria-hidden="true">3.13.7.</strong> darken_fixed</a></li><li class="chapter-item "><a href="config/lua/color/delta_e.html"><strong aria-hidden="true">3.13.8.</strong> delta_e</a></li><li class="chapter-item "><a href="config/lua/color/desaturate.html"><strong aria-hidden="true">3.13.9.</strong> desaturate</a></li><li class="chapter-item "><a href="config/lua/color/desaturate_fixed.html"><strong aria-hidden="true">3.13.10.</strong> desaturate_fixed</a></li><li class="chapter-item "><a href="config/lua/color/hsla.html"><strong aria-hidden="true">3.13.11.</strong> hsla</a></li><li class="chapter-item "><a href="config/lua/color/laba.html"><strong aria-hidden="true">3.13.12.</strong> laba</a></li><li class="chapter-item "><a href="config/lua/color/lighten.html"><strong aria-hidden="true">3.13.13.</strong> lighten</a></li><li class="chapter-item "><a href="config/lua/color/lighten_fixed.html"><strong aria-hidden="true">3.13.14.</strong> lighten_fixed</a></li><li class="chapter-item "><a href="config/lua/color/linear_rgba.html"><strong aria-hidden="true">3.13.15.</strong> linear_rgba</a></li><li class="chapter-item "><a href="config/lua/color/saturate.html"><strong aria-hidden="true">3.13.16.</strong> saturate</a></li><li class="chapter-item "><a href="config/lua/color/saturate_fixed.html"><strong aria-hidden="true">3.13.17.</strong> saturate_fixed</a></li><li class="chapter-item "><a href="config/lua/color/square.html"><strong aria-hidden="true">3.13.18.</strong> square</a></li><li class="chapter-item "><a href="config/lua/color/srgb_u8.html"><strong aria-hidden="true">3.13.19.</strong> srgb_u8</a></li><li class="chapter-item "><a href="config/lua/color/triad.html"><strong aria-hidden="true">3.13.20.</strong> triad</a></li></ol></li><li class="chapter-item "><a href="config/lua/ExecDomain.html"><strong aria-hidden="true">3.14.</strong> object: ExecDomain</a></li><li class="chapter-item "><a href="config/lua/LocalProcessInfo.html"><strong aria-hidden="true">3.15.</strong> object: LocalProcessInfo</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/index.html"><strong aria-hidden="true">3.16.</strong> object: MuxDomain</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/MuxDomain/attach.html"><strong aria-hidden="true">3.16.1.</strong> attach</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/detach.html"><strong aria-hidden="true">3.16.2.</strong> detach</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/domain_id.html"><strong aria-hidden="true">3.16.3.</strong> domain_id</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/has_any_panes.html"><strong aria-hidden="true">3.16.4.</strong> has_any_panes</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/is_spawnable.html"><strong aria-hidden="true">3.16.5.</strong> is_spawnable</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/label.html"><strong aria-hidden="true">3.16.6.</strong> label</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/name.html"><strong aria-hidden="true">3.16.7.</strong> name</a></li><li class="chapter-item "><a href="config/lua/MuxDomain/state.html"><strong aria-hidden="true">3.16.8.</strong> state</a></li></ol></li><li class="chapter-item "><a href="config/lua/mux-window/index.html"><strong aria-hidden="true">3.17.</strong> object: MuxWindow</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/mux-window/active_pane.html"><strong aria-hidden="true">3.17.1.</strong> active_pane</a></li><li class="chapter-item "><a href="config/lua/mux-window/active_tab.html"><strong aria-hidden="true">3.17.2.</strong> active_tab</a></li><li class="chapter-item "><a href="config/lua/mux-window/get_title.html"><strong aria-hidden="true">3.17.3.</strong> get_title</a></li><li class="chapter-item "><a href="config/lua/mux-window/get_workspace.html"><strong aria-hidden="true">3.17.4.</strong> get_workspace</a></li><li class="chapter-item "><a href="config/lua/mux-window/gui_window.html"><strong aria-hidden="true">3.17.5.</strong> gui_window</a></li><li class="chapter-item "><a href="config/lua/mux-window/set_title.html"><strong aria-hidden="true">3.17.6.</strong> set_title</a></li><li class="chapter-item "><a href="config/lua/mux-window/set_workspace.html"><strong aria-hidden="true">3.17.7.</strong> set_workspace</a></li><li class="chapter-item "><a href="config/lua/mux-window/spawn_tab.html"><strong aria-hidden="true">3.17.8.</strong> spawn_tab</a></li><li class="chapter-item "><a href="config/lua/mux-window/tabs.html"><strong aria-hidden="true">3.17.9.</strong> tabs</a></li><li class="chapter-item "><a href="config/lua/mux-window/tabs_with_info.html"><strong aria-hidden="true">3.17.10.</strong> tabs_with_info</a></li><li class="chapter-item "><a href="config/lua/mux-window/window_id.html"><strong aria-hidden="true">3.17.11.</strong> window_id</a></li></ol></li><li class="chapter-item "><a href="config/lua/MuxTab/index.html"><strong aria-hidden="true">3.18.</strong> object: MuxTab</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/MuxTab/activate.html"><strong aria-hidden="true">3.18.1.</strong> activate</a></li><li class="chapter-item "><a href="config/lua/MuxTab/active_pane.html"><strong aria-hidden="true">3.18.2.</strong> active_pane</a></li><li class="chapter-item "><a href="config/lua/MuxTab/get_pane_direction.html"><strong aria-hidden="true">3.18.3.</strong> get_pane_direction</a></li><li class="chapter-item "><a href="config/lua/MuxTab/get_size.html"><strong aria-hidden="true">3.18.4.</strong> get_size</a></li><li class="chapter-item "><a href="config/lua/MuxTab/get_title.html"><strong aria-hidden="true">3.18.5.</strong> get_title</a></li><li class="chapter-item "><a href="config/lua/MuxTab/panes.html"><strong aria-hidden="true">3.18.6.</strong> panes</a></li><li class="chapter-item "><a href="config/lua/MuxTab/panes_with_info.html"><strong aria-hidden="true">3.18.7.</strong> panes_with_info</a></li><li class="chapter-item "><a href="config/lua/MuxTab/rotate_clockwise.html"><strong aria-hidden="true">3.18.8.</strong> rotate_clockwise</a></li><li class="chapter-item "><a href="config/lua/MuxTab/rotate_counter_clockwise.html"><strong aria-hidden="true">3.18.9.</strong> rotate_counter_clockwise</a></li><li class="chapter-item "><a href="config/lua/MuxTab/set_title.html"><strong aria-hidden="true">3.18.10.</strong> set_title</a></li><li class="chapter-item "><a href="config/lua/MuxTab/set_zoomed.html"><strong aria-hidden="true">3.18.11.</strong> set_zoomed</a></li><li class="chapter-item "><a href="config/lua/MuxTab/tab_id.html"><strong aria-hidden="true">3.18.12.</strong> tab_id</a></li><li class="chapter-item "><a href="config/lua/MuxTab/window.html"><strong aria-hidden="true">3.18.13.</strong> window</a></li></ol></li><li class="chapter-item "><a href="config/lua/PaneInformation.html"><strong aria-hidden="true">3.19.</strong> object: PaneInformation</a></li><li class="chapter-item "><a href="config/lua/TabInformation.html"><strong aria-hidden="true">3.20.</strong> object: TabInformation</a></li><li class="chapter-item "><a href="config/lua/SshDomain.html"><strong aria-hidden="true">3.21.</strong> object: SshDomain</a></li><li class="chapter-item "><a href="config/lua/SpawnCommand.html"><strong aria-hidden="true">3.22.</strong> object: SpawnCommand</a></li><li class="chapter-item "><a href="config/lua/wezterm.time/Time/index.html"><strong aria-hidden="true">3.23.</strong> object: Time</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/wezterm.time/Time/format.html"><strong aria-hidden="true">3.23.1.</strong> format</a></li><li class="chapter-item "><a href="config/lua/wezterm.time/Time/format_utc.html"><strong aria-hidden="true">3.23.2.</strong> format_utc</a></li><li class="chapter-item "><a href="config/lua/wezterm.time/Time/sun_times.html"><strong aria-hidden="true">3.23.3.</strong> sun_times</a></li></ol></li><li class="chapter-item "><a href="config/lua/TlsDomainClient.html"><strong aria-hidden="true">3.24.</strong> object: TlsDomainClient</a></li><li class="chapter-item "><a href="config/lua/TlsDomainServer.html"><strong aria-hidden="true">3.25.</strong> object: TlsDomainServer</a></li><li class="chapter-item "><a href="config/lua/pane/index.html"><strong aria-hidden="true">3.26.</strong> object: Pane</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/pane/activate.html"><strong aria-hidden="true">3.26.1.</strong> activate</a></li><li class="chapter-item "><a href="config/lua/pane/get_current_working_dir.html"><strong aria-hidden="true">3.26.2.</strong> get_current_working_dir</a></li><li class="chapter-item "><a href="config/lua/pane/get_cursor_position.html"><strong aria-hidden="true">3.26.3.</strong> get_cursor_position</a></li><li class="chapter-item "><a href="config/lua/pane/get_dimensions.html"><strong aria-hidden="true">3.26.4.</strong> get_dimensions</a></li><li class="chapter-item "><a href="config/lua/pane/get_domain_name.html"><strong aria-hidden="true">3.26.5.</strong> get_domain_name</a></li><li class="chapter-item "><a href="config/lua/pane/get_foreground_process_info.html"><strong aria-hidden="true">3.26.6.</strong> get_foreground_process_info</a></li><li class="chapter-item "><a href="config/lua/pane/get_foreground_process_name.html"><strong aria-hidden="true">3.26.7.</strong> get_foreground_process_name</a></li><li class="chapter-item "><a href="config/lua/pane/get_lines_as_escapes.html"><strong aria-hidden="true">3.26.8.</strong> get_lines_as_escapes</a></li><li class="chapter-item "><a href="config/lua/pane/get_lines_as_text.html"><strong aria-hidden="true">3.26.9.</strong> get_lines_as_text</a></li><li class="chapter-item "><a href="config/lua/pane/get_logical_lines_as_text.html"><strong aria-hidden="true">3.26.10.</strong> get_logical_lines_as_text</a></li><li class="chapter-item "><a href="config/lua/pane/get_metadata.html"><strong aria-hidden="true">3.26.11.</strong> get_metadata</a></li><li class="chapter-item "><a href="config/lua/pane/get_progress.html"><strong aria-hidden="true">3.26.12.</strong> get_progress</a></li><li class="chapter-item "><a href="config/lua/pane/get_semantic_zone_at.html"><strong aria-hidden="true">3.26.13.</strong> get_semantic_zone_at</a></li><li class="chapter-item "><a href="config/lua/pane/get_semantic_zones.html"><strong aria-hidden="true">3.26.14.</strong> get_semantic_zones</a></li><li class="chapter-item "><a href="config/lua/pane/get_text_from_region.html"><strong aria-hidden="true">3.26.15.</strong> get_text_from_region</a></li><li class="chapter-item "><a href="config/lua/pane/get_text_from_semantic_zone.html"><strong aria-hidden="true">3.26.16.</strong> get_text_from_semantic_zone</a></li><li class="chapter-item "><a href="config/lua/pane/get_title.html"><strong aria-hidden="true">3.26.17.</strong> get_title</a></li><li class="chapter-item "><a href="config/lua/pane/get_tty_name.html"><strong aria-hidden="true">3.26.18.</strong> get_tty_name</a></li><li class="chapter-item "><a href="config/lua/pane/get_user_vars.html"><strong aria-hidden="true">3.26.19.</strong> get_user_vars</a></li><li class="chapter-item "><a href="config/lua/pane/has_unseen_output.html"><strong aria-hidden="true">3.26.20.</strong> has_unseen_output</a></li><li class="chapter-item "><a href="config/lua/pane/inject_output.html"><strong aria-hidden="true">3.26.21.</strong> inject_output</a></li><li class="chapter-item "><a href="config/lua/pane/is_alt_screen_active.html"><strong aria-hidden="true">3.26.22.</strong> is_alt_screen_active</a></li><li class="chapter-item "><a href="config/lua/pane/move_to_new_tab.html"><strong aria-hidden="true">3.26.23.</strong> move_to_new_tab</a></li><li class="chapter-item "><a href="config/lua/pane/move_to_new_window.html"><strong aria-hidden="true">3.26.24.</strong> move_to_new_window</a></li><li class="chapter-item "><a href="config/lua/pane/mux_pane.html"><strong aria-hidden="true">3.26.25.</strong> mux_pane</a></li><li class="chapter-item "><a href="config/lua/pane/pane_id.html"><strong aria-hidden="true">3.26.26.</strong> pane_id</a></li><li class="chapter-item "><a href="config/lua/pane/paste.html"><strong aria-hidden="true">3.26.27.</strong> paste</a></li><li class="chapter-item "><a href="config/lua/pane/send_paste.html"><strong aria-hidden="true">3.26.28.</strong> send_paste</a></li><li class="chapter-item "><a href="config/lua/pane/send_text.html"><strong aria-hidden="true">3.26.29.</strong> send_text</a></li><li class="chapter-item "><a href="config/lua/pane/split.html"><strong aria-hidden="true">3.26.30.</strong> split</a></li><li class="chapter-item "><a href="config/lua/pane/tab.html"><strong aria-hidden="true">3.26.31.</strong> tab</a></li><li class="chapter-item "><a href="config/lua/pane/window.html"><strong aria-hidden="true">3.26.32.</strong> window</a></li></ol></li><li class="chapter-item "><a href="config/lua/window/index.html"><strong aria-hidden="true">3.27.</strong> object: Window</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/window/active_key_table.html"><strong aria-hidden="true">3.27.1.</strong> active_key_table</a></li><li class="chapter-item "><a href="config/lua/window/active_pane.html"><strong aria-hidden="true">3.27.2.</strong> active_pane</a></li><li class="chapter-item "><a href="config/lua/window/active_tab.html"><strong aria-hidden="true">3.27.3.</strong> active_tab</a></li><li class="chapter-item "><a href="config/lua/window/active_workspace.html"><strong aria-hidden="true">3.27.4.</strong> active_workspace</a></li><li class="chapter-item "><a href="config/lua/window/composition_status.html"><strong aria-hidden="true">3.27.5.</strong> composition_status</a></li><li class="chapter-item "><a href="config/lua/window/copy_to_clipboard.html"><strong aria-hidden="true">3.27.6.</strong> copy_to_clipboard</a></li><li class="chapter-item "><a href="config/lua/window/current_event.html"><strong aria-hidden="true">3.27.7.</strong> current_event</a></li><li class="chapter-item "><a href="config/lua/window/effective_config.html"><strong aria-hidden="true">3.27.8.</strong> effective_config</a></li><li class="chapter-item "><a href="config/lua/window/focus.html"><strong aria-hidden="true">3.27.9.</strong> focus</a></li><li class="chapter-item "><a href="config/lua/window/get_appearance.html"><strong aria-hidden="true">3.27.10.</strong> get_appearance</a></li><li class="chapter-item "><a href="config/lua/window/get_config_overrides.html"><strong aria-hidden="true">3.27.11.</strong> get_config_overrides</a></li><li class="chapter-item "><a href="config/lua/window/get_dimensions.html"><strong aria-hidden="true">3.27.12.</strong> get_dimensions</a></li><li class="chapter-item "><a href="config/lua/window/get_selection_escapes_for_pane.html"><strong aria-hidden="true">3.27.13.</strong> get_selection_escapes_for_pane</a></li><li class="chapter-item "><a href="config/lua/window/get_selection_text_for_pane.html"><strong aria-hidden="true">3.27.14.</strong> get_selection_text_for_pane</a></li><li class="chapter-item "><a href="config/lua/window/is_focused.html"><strong aria-hidden="true">3.27.15.</strong> is_focused</a></li><li class="chapter-item "><a href="config/lua/window/keyboard_modifiers.html"><strong aria-hidden="true">3.27.16.</strong> keyboard_modifiers</a></li><li class="chapter-item "><a href="config/lua/window/leader_is_active.html"><strong aria-hidden="true">3.27.17.</strong> leader_is_active</a></li><li class="chapter-item "><a href="config/lua/window/maximize.html"><strong aria-hidden="true">3.27.18.</strong> maximize</a></li><li class="chapter-item "><a href="config/lua/window/mux_window.html"><strong aria-hidden="true">3.27.19.</strong> mux_window</a></li><li class="chapter-item "><a href="config/lua/window/perform_action.html"><strong aria-hidden="true">3.27.20.</strong> perform_action</a></li><li class="chapter-item "><a href="config/lua/window/restore.html"><strong aria-hidden="true">3.27.21.</strong> restore</a></li><li class="chapter-item "><a href="config/lua/window/set_config_overrides.html"><strong aria-hidden="true">3.27.22.</strong> set_config_overrides</a></li><li class="chapter-item "><a href="config/lua/window/set_inner_size.html"><strong aria-hidden="true">3.27.23.</strong> set_inner_size</a></li><li class="chapter-item "><a href="config/lua/window/set_left_status.html"><strong aria-hidden="true">3.27.24.</strong> set_left_status</a></li><li class="chapter-item "><a href="config/lua/window/set_position.html"><strong aria-hidden="true">3.27.25.</strong> set_position</a></li><li class="chapter-item "><a href="config/lua/window/set_right_status.html"><strong aria-hidden="true">3.27.26.</strong> set_right_status</a></li><li class="chapter-item "><a href="config/lua/window/toast_notification.html"><strong aria-hidden="true">3.27.27.</strong> toast_notification</a></li><li class="chapter-item "><a href="config/lua/window/toggle_fullscreen.html"><strong aria-hidden="true">3.27.28.</strong> toggle_fullscreen</a></li><li class="chapter-item "><a href="config/lua/window/window_id.html"><strong aria-hidden="true">3.27.29.</strong> window_id</a></li></ol></li><li class="chapter-item "><a href="config/lua/WslDomain.html"><strong aria-hidden="true">3.28.</strong> object: WslDomain</a></li><li class="chapter-item "><a href="config/lua/gui-events/index.html"><strong aria-hidden="true">3.29.</strong> events: Gui</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/gui-events/gui-attached.html"><strong aria-hidden="true">3.29.1.</strong> gui-attached</a></li><li class="chapter-item "><a href="config/lua/gui-events/gui-startup.html"><strong aria-hidden="true">3.29.2.</strong> gui-startup</a></li></ol></li><li class="chapter-item "><a href="config/lua/mux-events/index.html"><strong aria-hidden="true">3.30.</strong> events: Multiplexer</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/mux-events/mux-is-process-stateful.html"><strong aria-hidden="true">3.30.1.</strong> mux-is-process-stateful</a></li><li class="chapter-item "><a href="config/lua/mux-events/mux-startup.html"><strong aria-hidden="true">3.30.2.</strong> mux-startup</a></li></ol></li><li class="chapter-item "><a href="config/lua/window-events/index.html"><strong aria-hidden="true">3.31.</strong> events: Window</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="config/lua/window-events/augment-command-palette.html"><strong aria-hidden="true">3.31.1.</strong> augment-command-palette</a></li><li class="chapter-item "><a href="config/lua/window-events/bell.html"><strong aria-hidden="true">3.31.2.</strong> bell</a></li><li class="chapter-item "><a href="config/lua/window-events/format-tab-title.html"><strong aria-hidden="true">3.31.3.</strong> format-tab-title</a></li><li class="chapter-item "><a href="config/lua/window-events/format-window-title.html"><strong aria-hidden="true">3.31.4.</strong> format-window-title</a></li><li class="chapter-item "><a href="config/lua/window-events/new-tab-button-click.html"><strong aria-hidden="true">3.31.5.</strong> new-tab-button-click</a></li><li class="chapter-item "><a href="config/lua/window-events/open-uri.html"><strong aria-hidden="true">3.31.6.</strong> open-uri</a></li><li class="chapter-item "><a href="config/lua/window-events/update-right-status.html"><strong aria-hidden="true">3.31.7.</strong> update-right-status</a></li><li class="chapter-item "><a href="config/lua/window-events/update-status.html"><strong aria-hidden="true">3.31.8.</strong> update-status</a></li><li class="chapter-item "><a href="config/lua/window-events/user-var-changed.html"><strong aria-hidden="true">3.31.9.</strong> user-var-changed</a></li><li class="chapter-item "><a href="config/lua/window-events/window-config-reloaded.html"><strong aria-hidden="true">3.31.10.</strong> window-config-reloaded</a></li><li class="chapter-item "><a href="config/lua/window-events/window-focus-changed.html"><strong aria-hidden="true">3.31.11.</strong> window-focus-changed</a></li><li class="chapter-item "><a href="config/lua/window-events/window-resized.html"><strong aria-hidden="true">3.31.12.</strong> window-resized</a></li></ol></li></ol></li><li class="chapter-item expanded "><a href="cli/general.html"><strong aria-hidden="true">4.</strong> CLI Reference</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="cli/cli/index.html"><strong aria-hidden="true">4.1.</strong> wezterm cli</a><a class="toggle"><div>❱</div></a></li><li><ol class="section"><li class="chapter-item "><a href="cli/cli/activate-pane-direction.html"><strong aria-hidden="true">4.1.1.</strong> activate-pane-direction</a></li><li class="chapter-item "><a href="cli/cli/activate-pane.html"><strong aria-hidden="true">4.1.2.</strong> activate-pane</a></li><li class="chapter-item "><a href="cli/cli/activate-tab.html"><strong aria-hidden="true">4.1.3.</strong> activate-tab</a></li><li class="chapter-item "><a href="cli/cli/adjust-pane-size.html"><strong aria-hidden="true">4.1.4.</strong> adjust-pane-size</a></li><li class="chapter-item "><a href="cli/cli/get-pane-direction.html"><strong aria-hidden="true">4.1.5.</strong> get-pane-direction</a></li><li class="chapter-item "><a href="cli/cli/get-text.html"><strong aria-hidden="true">4.1.6.</strong> get-text</a></li><li class="chapter-item "><a href="cli/cli/kill-pane.html"><strong aria-hidden="true">4.1.7.</strong> kill-pane</a></li><li class="chapter-item "><a href="cli/cli/list-clients.html"><strong aria-hidden="true">4.1.8.</strong> list-clients</a></li><li class="chapter-item "><a href="cli/cli/list.html"><strong aria-hidden="true">4.1.9.</strong> list</a></li><li class="chapter-item "><a href="cli/cli/move-pane-to-new-tab.html"><strong aria-hidden="true">4.1.10.</strong> move-pane-to-new-tab</a></li><li class="chapter-item "><a href="cli/cli/rename-workspace.html"><strong aria-hidden="true">4.1.11.</strong> rename-workspace</a></li><li class="chapter-item "><a href="cli/cli/send-text.html"><strong aria-hidden="true">4.1.12.</strong> send-text</a></li><li class="chapter-item "><a href="cli/cli/set-tab-title.html"><strong aria-hidden="true">4.1.13.</strong> set-tab-title</a></li><li class="chapter-item "><a href="cli/cli/set-window-title.html"><strong aria-hidden="true">4.1.14.</strong> set-window-title</a></li><li class="chapter-item "><a href="cli/cli/spawn.html"><strong aria-hidden="true">4.1.15.</strong> spawn</a></li><li class="chapter-item "><a href="cli/cli/split-pane.html"><strong aria-hidden="true">4.1.16.</strong> split-pane</a></li><li class="chapter-item "><a href="cli/cli/zoom-pane.html"><strong aria-hidden="true">4.1.17.</strong> zoom-pane</a></li></ol></li><li class="chapter-item "><a href="cli/connect.html"><strong aria-hidden="true">4.2.</strong> wezterm connect</a></li><li class="chapter-item "><a href="cli/imgcat.html"><strong aria-hidden="true">4.3.</strong> wezterm imgcat</a></li><li class="chapter-item "><a href="cli/ls-fonts.html"><strong aria-hidden="true">4.4.</strong> wezterm ls-fonts</a></li><li class="chapter-item "><a href="cli/record.html"><strong aria-hidden="true">4.5.</strong> wezterm record</a></li><li class="chapter-item "><a href="cli/replay.html"><strong aria-hidden="true">4.6.</strong> wezterm replay</a></li><li class="chapter-item "><a href="cli/serial.html"><strong aria-hidden="true">4.7.</strong> wezterm serial</a></li><li class="chapter-item "><a href="cli/set-working-directory.html"><strong aria-hidden="true">4.8.</strong> wezterm set-working-directory</a></li><li class="chapter-item "><a href="cli/show-keys.html"><strong aria-hidden="true">4.9.</strong> wezterm show-keys</a></li><li class="chapter-item "><a href="cli/ssh.html"><strong aria-hidden="true">4.10.</strong> wezterm ssh</a></li><li class="chapter-item "><a href="cli/start.html"><strong aria-hidden="true">4.11.</strong> wezterm start</a></li><li class="chapter-item "><a href="escape-sequences.html"><strong aria-hidden="true">4.12.</strong> Escape Sequences</a></li><li class="chapter-item "><a href="what-is-a-terminal.html"><strong aria-hidden="true">4.13.</strong> What is a Terminal?</a></li><li class="chapter-item "><a href="troubleshooting.html"><strong aria-hidden="true">4.14.</strong> Troubleshooting</a></li><li class="chapter-item "><a href="faq.html"><strong aria-hidden="true">4.15.</strong> F.A.Q.</a></li><li class="chapter-item "><a href="help.html"><strong aria-hidden="true">4.16.</strong> Getting Help</a></li><li class="chapter-item "><a href="contributing.html"><strong aria-hidden="true">4.17.</strong> Contributing</a></li></ol></li><li class="chapter-item expanded "><a href="changelog.html"><strong aria-hidden="true">5.</strong> Change Log</a></li><li class="chapter-item expanded "><a href="sponsor.html"><strong aria-hidden="true">6.</strong> Sponsor</a></li></ol>';
        // Set the current, active page, and reveal it if it's hidden
        let current_page = document.location.href.toString().split("#")[0];
        if (current_page.endsWith("/")) {
            current_page += "index.html";
        }
        var links = Array.prototype.slice.call(this.querySelectorAll("a"));
        var l = links.length;
        for (var i = 0; i < l; ++i) {
            var link = links[i];
            var href = link.getAttribute("href");
            if (href && !href.startsWith("#") && !/^(?:[a-z+]+:)?\/\//.test(href)) {
                link.href = path_to_root + href;
            }
            // The "index" page is supposed to alias the first chapter in the book.
            if (link.href === current_page || (i === 0 && path_to_root === "" && current_page.endsWith("/index.html"))) {
                link.classList.add("active");
                var parent = link.parentElement;
                if (parent && parent.classList.contains("chapter-item")) {
                    parent.classList.add("expanded");
                }
                while (parent) {
                    if (parent.tagName === "LI" && parent.previousElementSibling) {
                        if (parent.previousElementSibling.classList.contains("chapter-item")) {
                            parent.previousElementSibling.classList.add("expanded");
                        }
                    }
                    parent = parent.parentElement;
                }
            }
        }
        // Track and set sidebar scroll position
        this.addEventListener('click', function(e) {
            if (e.target.tagName === 'A') {
                sessionStorage.setItem('sidebar-scroll', this.scrollTop);
            }
        }, { passive: true });
        var sidebarScrollTop = sessionStorage.getItem('sidebar-scroll');
        sessionStorage.removeItem('sidebar-scroll');
        if (sidebarScrollTop) {
            // preserve sidebar scroll position when navigating via links within sidebar
            this.scrollTop = sidebarScrollTop;
        } else {
            // scroll sidebar to current active section when navigating via "next/previous chapter" buttons
            var activeSection = document.querySelector('#sidebar .active');
            if (activeSection) {
                activeSection.scrollIntoView({ block: 'center' });
            }
        }
        // Toggle buttons
        var sidebarAnchorToggles = document.querySelectorAll('#sidebar a.toggle');
        function toggleSection(ev) {
            ev.currentTarget.parentElement.classList.toggle('expanded');
        }
        Array.from(sidebarAnchorToggles).forEach(function (el) {
            el.addEventListener('click', toggleSection);
        });
    }
}
window.customElements.define("mdbook-sidebar-scrollbox", MDBookSidebarScrollbox);
